//
//  SMB2Echo.m
//
//  Copyright (C) 2016 Hiroshi Kanemoto.
//	Released under the MIT license
//	http://opensource.org/licenses/mit-license.php
//
//	 Created:	2016/03/22	H.Kanemoto
//	Modified:
//
#import <Foundation/Foundation.h>
#import "SMB2Echo.h"
/*----------------------------------------------------------------------*
 *	SMB2 ECHO REQUEST
 *----------------------------------------------------------------------*/
@implementation SMB2ReqEcho

-(id)init {
	if (self = [super init]) {
		if ([self.Coder alloc_buffer:PACKETHEADERSIZE+ECHOREQSIZE]) {
			[super initheader:self.Header];
			self.Header->Command = SMB2_COMMAND_ECHO;
			self.ECHO_->StructureSize = ECHOREQSIZE;
			self->echo = self.ECHO_;	//for debugging
			//move pointer to payload top except for dummy buffer[1]
			[self.Coder consume:PACKETHEADERSIZE+ECHOREQSIZE];
		} else
			return nil;
	}
	return self;
}

-(reqECHO *)getEcho {
	return (reqECHO*) &self.Coder.Data[PACKETHEADERSIZE];
}
@end
/*----------------------------------------------------------------------*
 *	SMB2 ECHO RESPONSE
 *----------------------------------------------------------------------*/
@implementation SMB2ResEcho

-(id)init {
	if (self = [super init]) {
		if ([self.Coder alloc_buffer:PACKETHEADERSIZE+ECHORESSIZE]) {
			self.ECHO_->StructureSize = ECHORESSIZE;
			self->echo = self.ECHO_;	//for debugging
		} else
			return nil;
	}
	return self;
}

-(resECHO *)getEcho {
	return (resECHO*) &self.Coder.Data[PACKETHEADERSIZE];
}
@end
