//
//  SMB2Header.h
//
//  Copyright (C) 2016 Hiroshi Kanemoto.
//	Released under the MIT license
//	http://opensource.org/licenses/mit-license.php
//
//	 Created:	2016/03/12	H.Kanemoto
//	Modified:
//
#ifndef SMB2Header_h
#define SMB2Header_h
#import "bytecoder.h"
#import "TcpClient.h"
#import "SMBUtils.h"
#import "FSCC.h"
#include "SMB2Messages.h"
/*----------------------------------------------------------------------
 *	SMB2 PACKET HEADER
 *----------------------------------------------------------------------*/
@interface SMB2Header : packetbase {
	@protected
	UInt32			transport;
	pPacketHeader	_packhead;
}
@property (nonatomic, assign, getter=getPacketHeader) pPacketHeader Header;
@property (nonatomic, assign, getter=getError) resERROR *ERROR_RESPONSE;

-(void)initheader:(pPacketHeader)ph;
-(BOOL)recvResponse:(TcpClient*)tcp;
-(BOOL)recvResponse:(TcpClient*)tcp mSec:(int)msec;
-(BOOL)sendRequest:(TcpClient*)tcp;
-(BOOL)sendRequest:(TcpClient*)tcp mSec:(int)msec;

@end

#endif /* SMB2Header_h */
