//
//  SMB2Ioctl.h
//
//  Copyright (C) 2016 Hiroshi Kanemoto.
//	Released under the MIT license
//	http://opensource.org/licenses/mit-license.php
//
//	 Created:	2016/03/20	H.Kanemoto
//	Modified:
//
#ifndef SMB2Ioctl_h
#define SMB2Ioctl_h
#import	"SMB2Header.h"
/*----------------------------------------------------------------------*
 *	SMB2 IOCTL REQUEST
 *----------------------------------------------------------------------*/
@interface SMB2ReqIoctl : SMB2Header {
	reqIOCTL	*ioctl;	//debugger
}
@property (nonatomic, readonly, assign, getter=getIoctl) reqIOCTL *IOCTL;

-(id)initWith:(UInt32)TreeId FileId:(UInt8[16])FileId;

@end
/*----------------------------------------------------------------------*
 *	SMB2 IOCTL RESPONSE
 *----------------------------------------------------------------------*/
@interface SMB2ResIoctl : SMB2Header {
	resIOCTL	*ioctl;	//debugger
}
@property (nonatomic, readonly, assign, getter=getIoctl) resIOCTL *IOCTL;
@end

#endif /* SMB2Ioctl_h */
