//
//  SMB2QueryDirectory.h
//
//  Copyright (C) 2016 Hiroshi Kanemoto.
//	Released under the MIT license
//	http://opensource.org/licenses/mit-license.php
//
//	 Created:	2016/03/21	H.Kanemoto
//	Modified:
//
#ifndef SMB2QueryDirectory_h
#define SMB2QueryDirectory_h
#import "SMB2Header.h"

/*----------------------------------------------------------------------*
 *	SMB2 QUERY DIRECTORY REQUEST
 *----------------------------------------------------------------------*/
@interface SMB2ReqQueryDirectory : SMB2Header {
	reqQUERY_DIRECTORY	*querydir;	//debugger
}
@property (nonatomic, readonly, assign, getter=getQuery) reqQUERY_DIRECTORY *QUERYDIR;

+(SMB2ReqQueryDirectory*)create:(UInt32)TreeId
	FileId:(UInt8[16])FileId FileName:(NSString*)FileName;

@end
/*----------------------------------------------------------------------*
 *	SMB2 QUERY DIRECTORY RESPONSE
 *----------------------------------------------------------------------*/
@interface SMB2ResQueryDirectory : SMB2Header {
	resQUERY_DIRECTORY	*querydir;	//debugger
}
@property (nonatomic, readonly, assign, getter=getQuery) resQUERY_DIRECTORY *QUERYDIR;
@end


#endif /* SMB2QueryDirectory_h */
