//
//  SMB2QueryInfo.h
//
//  Copyright (C) 2016 Hiroshi Kanemoto.
//	Released under the MIT license
//	http://opensource.org/licenses/mit-license.php
//
//	 Created:	2016/03/23	H.Kanemoto
//	Modified:
//
#ifndef SMB2QueryInfo_h
#define SMB2QueryInfo_h
#import "SMB2Header.h"
/*----------------------------------------------------------------------*
 *	SMB2 QUERY INFO REQUEST
 *----------------------------------------------------------------------*/
@interface SMB2ReqQueryInfo : SMB2Header {
	reqQUERY_INFO	*queryinfo;	//debugger
}
@property (nonatomic, readonly, assign, getter=getQuery) reqQUERY_INFO *QUERYINFO;

+(SMB2ReqQueryInfo*)create:(UInt32)TreeId FileId:(UInt8[16])FileId;

@end
/*----------------------------------------------------------------------*
 *	SMB2 QUERY INFO RESPONSE
 *----------------------------------------------------------------------*/
@interface SMB2ResQueryInfo : SMB2Header {
	resQUERY_INFO	*queryinfo;	//debugger
}
@property (nonatomic, readonly, assign, getter=getQuery) resQUERY_INFO *QUERYINFO;
@end

#endif /* SMB2QueryInfo_h */
