//
//  SMB2Read.h
//
//  Copyright (C) 2016 Hiroshi Kanemoto.
//	Released under the MIT license
//	http://opensource.org/licenses/mit-license.php
//
//	 Created:	2016/03/23	H.Kanemoto
//	Modified:
//
#ifndef SMB2Read_h
#define SMB2Read_h

#import	"SMB2Header.h"
/*----------------------------------------------------------------------*
 *	SMB2 READ REQUEST
 *----------------------------------------------------------------------*/
@interface SMB2ReqRead : SMB2Header {
	reqREAD	*read;	//debugger
}
@property (nonatomic, readonly, assign, getter=getRead) reqREAD *READ;

@end
/*----------------------------------------------------------------------*
 *	SMB2 READ RESPONSE
 *----------------------------------------------------------------------*/
@interface SMB2ResRead : SMB2Header {
	resREAD	*read;	//debugger
}
@property (nonatomic, readonly, assign, getter=getRead) resREAD *READ;

-(id)initWith:(int32_t)size;

@end

#endif /* SMB2Read_h */
