//
//  TcpClient.h
//
//  Copyright (C) 2016 Hiroshi Kanemoto.
//	Released under the MIT license
//	http://opensource.org/licenses/mit-license.php
//
//	 Created:	2016/03/11	H.Kanemoto
//	Modified:
//
#ifndef TcpClient_h
#define TcpClient_h
//#import <UIKit/UIKit.h>
#import <Foundation/Foundation.h>
#import "TBObject.h"

@interface TcpClient : TBObject {
	@private
	int	fd;
}
-(id)init;
-(BOOL)connect:(NSString *)addr Port:(int)port;
-(BOOL)connect:(const char *)addr :(int)port;
-(BOOL)recv_available:(int)sec uSec:(int)usec;
-(BOOL)send_available:(int)sec uSec:(int)usec;
-(int)recv:(char *)buffer Lenght:(int)len;
-(int)recv:(char *)buffer Lenght:(int)len mSec:(int)msec;
-(int)send:(char *)buffer Lenght:(int)len;
-(int)send:(char *)buffer Lenght:(int)len mSec:(int)msec;
-(void)close;

@end
#endif /* TcpClient_h */
