//
//  UCS2.h
//
//  Copyright (C) 2016 Hiroshi Kanemoto.
//	Released under the MIT license
//	http://opensource.org/licenses/mit-license.php
//
//	 Created:	2016/03/17	H.Kanemoto
//	Modified:
//
#ifndef UCS2_h
#define UCS2_h
#import "TBObject.h"
/*----------------------------------------------------------------------*
 *	UCS2 (UTF16LE)
 *----------------------------------------------------------------------*/
@interface UCS2 : TBObject {
@protected
	UInt8	*ptr;
	int		byte_len;
}
@property (nonatomic, readonly, assign, getter=getByteLen) int ByteLen;
@property (nonatomic, readonly, getter=getPtr) UInt8 *Ptr;

+(UCS2*)create:(NSString*)target;
+(UCS2*)create:(UInt8*)buffer length:(int)len;

-(BOOL)entry:(NSString*)target;
-(BOOL)entry:(UInt8*)ucs2 length:(int)bytelen;
-(NSString*)text;

@end

#endif /* UCS2_h */
