//
//  RC4.m
//  SMB2Test
//
//  Created by Hiroshi Kanemoto on 2016/03/12.
//  Copyright © 2016年 Hiroshi Kanemoto. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "RC4.h"

@implementation RC4

+(void)digest:(UInt8 *)input : (int)ilen : (UInt8 *)key : (int)klen : (UInt8 *)result {
	UInt8 box[256];

	for (int i = 0; i < 256; i++) {
		box[i] = (UInt8) i;
	}
	for (int i = 0, j = 0; i < 256; i++) {
		j = (j + key[i % klen] + box[i]) & 0xff;
		UInt8 x = box[i];
		box[i] = box[j];
		box[j] = x;
	}
	for (int i = 0, j = 0; i < ilen; i++) {
		int y = (i + 1) % 256;
		j = (box[y] + j) & 0xff;
		UInt8 x = box[y];
		box[y] = box[j];
		box[j] = x;

		result[i] = (UInt8)(input[i] ^ box[(box[y] + box[j]) & 0xff]);
	}
}

@end
