//
//  SMB2Close.h
//
//  Copyright (C) 2016 Hiroshi Kanemoto.
//	Released under the MIT license
//	http://opensource.org/licenses/mit-license.php
//
//	 Created:	2016/03/19	H.Kanemoto
//	Modified:
//
#ifndef SMB2Close_h
#define SMB2Close_h
#import "SMB2Header.h"
/*----------------------------------------------------------------------*
 *	SMB2 CLOSE REQUEST
 *----------------------------------------------------------------------*/
@interface SMB2ReqClose : SMB2Header {
	reqCLOSE	*close;	//debugger
}
@property (nonatomic, readonly, assign, getter=getClose) reqCLOSE *CLOSE;

-(id)initWith:(UInt32)TreeId FileId:(UInt8[16])FileId;

@end
/*----------------------------------------------------------------------*
 *	SMB2 CLOSE RESPONSE
 *----------------------------------------------------------------------*/
@interface SMB2ResClose : SMB2Header {
	resCLOSE	*close;	//debugger
}
@property (nonatomic, readonly, assign, getter=getClose) resCLOSE *CLOSE;
@end

#endif /* SMB2Close_h */
