//
//  SMB2Negotiate.h
//
//  Copyright (C) 2016 Hiroshi Kanemoto.
//	Released under the MIT license
//	http://opensource.org/licenses/mit-license.php
//
//	 Created:	2016/03/13	H.Kanemoto
//	Modified:
//
#ifndef SMB2Negotiate_h
#define SMB2Negotiate_h
#import "SMB2Header.h"
/*----------------------------------------------------------------------*
 *	SMB1 NEGOTIATE REQUEST
 *----------------------------------------------------------------------*/
@interface SMB1ReqNegotiate : SMB2Header {
}
@end
/*----------------------------------------------------------------------*
 *	SMB2 NEGOTIATE REQUEST
 *----------------------------------------------------------------------*/
@interface SMB2ReqNegotiate : SMB2Header {
}
@property (nonatomic, assign, getter=getNegotiate) reqNEGOTIATE *NEGOTIATE;

-(id)initWith:(UInt8 *)uuid;
@end
/*----------------------------------------------------------------------*
 *	SMB2 NEGOTIATE RESPONSE
 *----------------------------------------------------------------------*/
@interface SMB2ResNegotiate : SMB2Header {
}
@property (nonatomic, assign, getter=getNegotiate) resNEGOTIATE *NEGOTIATE;
@end

#endif /* SMB2Negotiate_h */
