//
//  SMB2SessionSetup.h
//
//  Copyright (C) 2016 Hiroshi Kanemoto.
//	Released under the MIT license
//	http://opensource.org/licenses/mit-license.php
//
//	 Created:	2016/03/13	H.Kanemoto
//	Modified:
//
#ifndef SMB2SessionSetup_h
#define SMB2SessionSetup_h
#import "SMB2Header.h"
#import "NTLMSSP.h"
/*----------------------------------------------------------------------*
 *	SMB1 SESSION SETUP REQUEST
 *----------------------------------------------------------------------*/
@interface SMB2ReqSessionSetup : SMB2Header {
	reqSESSION_SETUP*	sessionsetup;
}
@property (nonatomic, assign, readonly, getter=getSessionSetup) reqSESSION_SETUP *SESSIONSETUP;

@end
/*----------------------------------------------------------------------*
 *	SMB1 SESSION SETUP REQUEST
 *----------------------------------------------------------------------*/
@interface SMB2ResSessionSetup : SMB2Header {
}
@property (nonatomic, assign, readonly, getter=getSessionSetup) resSESSION_SETUP *SESSIONSETUP;
@property (nonatomic, assign, readonly, getter=getPayloadData) UInt8 *PayloadData;

-(NtLmType2*)findType2;
@end

#endif /* SMB2SessionSetup_h */
