//
//  SMB2TreeConnect.h
//
//  Copyright (C) 2016 Hiroshi Kanemoto.
//	Released under the MIT license
//	http://opensource.org/licenses/mit-license.php
//
//	 Created:	2016/03/17	H.Kanemoto
//	Modified:
//
#ifndef SMB2TreeConnect_h
#define SMB2TreeConnect_h

#import "SMB2Header.h"
/*----------------------------------------------------------------------*
 *	SMB2 TREE CONNECT REQUEST
 *----------------------------------------------------------------------*/
@interface SMB2ReqTreeConnect : SMB2Header {
}
@property (nonatomic, assign, readonly, getter=getTreeConn) reqTREE_CONNECT *TREECONNECT;

-(id)initWith:(NSString*)Path;

@end
/*----------------------------------------------------------------------*
 *	SMB2 TREE CONNECT RESPONSE
 *----------------------------------------------------------------------*/
@interface SMB2ResTreeConnect : SMB2Header {
}
@property (nonatomic, readonly, assign, getter=getTreeConn) resTREE_CONNECT *TREECONNECT;
@end
/*----------------------------------------------------------------------*
 *	SMB2 TREE DISCONNECT REQUEST
 *----------------------------------------------------------------------*/
@interface SMB2ReqTreeDisconnect : SMB2Header {
}
@property (nonatomic, readonly, assign, getter=getTreeDisConn) reqTREE_DISCONNECT *TREEDISCONNECT;
@end
/*----------------------------------------------------------------------*
 *	SMB2 TREE DISCONNECT RESPONSE
 *----------------------------------------------------------------------*/
@interface SMB2ResTreeDisconnect : SMB2Header {
}
@property (nonatomic, readonly, assign, getter=getTreeDisConn) resTREE_DISCONNECT *TREEDISCONNECT;
@end

#endif /* SMB2TreeConnect_h */
