//
//  TBObject.m
//
//  Copyright (C) 2016 Hiroshi Kanemoto.
//	Released under the MIT license
//	http://opensource.org/licenses/mit-license.php
//
//	 Created:	2016/03/25	H.Kanemoto
//	Modified:
//
#import <Foundation/Foundation.h>
#import "TBObject.h"
/*----------------------------------------------------------------------*
 *	TBObject
 *----------------------------------------------------------------------*/
@implementation TBObject

-(id)init {
	if (self = [super init]) {
		self->err = nil;
	}
	return self;
}
-(NSError*)getLastErr {
	return self->err;
}
-(TBErrors)getErr_code {
	return self->err_code;
}

-(void)clearLastErr {
	self->err_code = TB_NO_ERR;
	self->err = nil;
}

-(void)setLastErr:(NSError *)_err {
	self->err = _err;
}

@end

