#ifndef _N80TYPES_H_
#define _N80TYPES_H_
#include <stdint.h>
#include <stdbool.h>
/**--------------------------------------------------------------------------
 **    declare types
 **------------------------------------------------------------------------*/
typedef uint8_t            BYTE, *LPBYTE;
typedef const uint8_t   CBYTE, *LPCBYTE;
typedef uint16_t        USHORT, *LPUSHORT;
typedef const uint16_t    CUSHORT, *LPCUSHORT;
typedef uint32_t        DWORD, UINT, ULONG, *LPDWORD;
typedef const uint32_t  CDWORD, *LPCDWORD;
typedef int32_t            LONG, *LPLONG;
typedef int16_t         SHORT, *LPSHORT;
typedef void            *LPVOID;
#ifdef __APPLE__
//typedef _Bool            BOOL;
#define BOOL            _Bool
#else
typedef bool            BOOL;
#endif
#ifndef NULL
#define NULL    ((LPVOID) 0)
#endif
#endif
